Loading...
Searching...
No Matches
gridfire_mod::gf_evolve Interface Reference

## Public Member Functions

integer(c_int) function | gf_evolve (ptr, y_in, num_species, t, rho, dt, y_out, energy_out, deps_dt, deps_drho, specific_neutrino_loss, specific_neutrino_flux, mass_lost)

## Constructor & Destructor Documentation

## gf_evolve()

integer(c_int) function gridfire_mod::gf_evolve::gf_evolve | ( | type(c_ptr), value | ptr,
|  | real(c_double), dimension(*), intent(in) | y_in,
|  | integer(c_size_t), value | num_species,
|  | real(c_double), value | t,
|  | real(c_double), value | rho,
|  | real(c_double), value | dt,
|  | real(c_double), dimension(*), intent(out) | y_out,
|  | real(c_double), intent(out) | energy_out,
|  | real(c_double), intent(out) | deps_dt,
|  | real(c_double), intent(out) | deps_drho,
|  | real(c_double), intent(out) | specific_neutrino_loss,
|  | real(c_double), intent(out) | specific_neutrino_flux,
|  | real(c_double), intent(out) | mass_lost
| ) |  |

The documentation for this interface was generated from the following file:

- src/extern/fortran/gridfire_mod.f90